Package org.codehaus.groovy.tools.groovydoc

# Class SimpleGroovyPackageDoc

java.lang.Object
org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyPackageDoc

All Implemented Interfaces:
  `Comparable`, `GroovyDoc`, `GroovyPackageDoc`

    public class SimpleGroovyPackageDoc
    extends SimpleGroovyDoc
    implements GroovyPackageDoc

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, TRAIT_DEF`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SimpleGroovyPackageDoc​(String name)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `GroovyClassDoc[]` | `allClasses()` | All included classes and interfaces in this package.
  `GroovyClassDoc[]` | `allClasses​(boolean arg0)` | All classes and interfaces in this package optionally limited to just the included ones.
  `String` | `description()` | Description of the package.
  `GroovyClassDoc[]` | `enums()` | Included enum types in this package.
  `GroovyClassDoc[]` | `errors()` | Included errors in this package.
  `GroovyClassDoc[]` | `exceptions()` | Included exceptions in this package.
  `GroovyClassDoc` | `findClass​(String arg0)` | Find a class or interface within this package.
  `String` | `getRelativeRootPath()` |
  `GroovyClassDoc[]` | `interfaces()` | Included interfaces in this package.
  `String` | `nameWithDots()` |
  `GroovyClassDoc[]` | `ordinaryClasses()` | Included ordinary classes in this package.
  `void` | `putAll​(Map<String,​GroovyClassDoc> classes)` |
  `void` | `setDescription​(String description)` |
  `void` | `setSummary​(String summary)` |
  `String` | `summary()` | The one-sentence summary for the package derived from the beginning of the description.

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, tokenType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

  `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

- ## Constructor Details

  - ### SimpleGroovyPackageDoc

    public SimpleGroovyPackageDoc​(String name)

- ## Method Details

  - ### allClasses

    public GroovyClassDoc[] allClasses()
    Description copied from interface: `GroovyPackageDoc`
    All included classes and interfaces in this package.
    Specified by:
      `allClasses` in interface `GroovyPackageDoc`
    Returns:
      array of classes and interfaces found or empty array if none found

  - ### setDescription

    public void setDescription​(String description)

  - ### setSummary

    public void setSummary​(String summary)

  - ### putAll

    public void putAll​(Map<String,​GroovyClassDoc> classes)

  - ### nameWithDots

    public String nameWithDots()
    Specified by:
      `nameWithDots` in interface `GroovyPackageDoc`

  - ### allClasses

    public GroovyClassDoc[] allClasses​(boolean arg0)
    Description copied from interface: `GroovyPackageDoc`
    All classes and interfaces in this package optionally limited to just the included ones.
    Specified by:
      `allClasses` in interface `GroovyPackageDoc`
    Parameters:
      `arg0` - Specifying true filters according to the specified access modifier option. Specifying false includes all classes and interfaces regardless of access modifier option.
    Returns:
      array of classes and interfaces found or empty array if none found

  - ### enums

    public GroovyClassDoc[] enums()
    Description copied from interface: `GroovyPackageDoc`
    Included enum types in this package.
    Specified by:
      `enums` in interface `GroovyPackageDoc`
    Returns:
      array of enum types found or empty array if none found

  - ### errors

    public GroovyClassDoc[] errors()
    Description copied from interface: `GroovyPackageDoc`
    Included errors in this package.
    Specified by:
      `errors` in interface `GroovyPackageDoc`
    Returns:
      array of errors found or empty array if none found

  - ### exceptions

    public GroovyClassDoc[] exceptions()
    Description copied from interface: `GroovyPackageDoc`
    Included exceptions in this package.
    Specified by:
      `exceptions` in interface `GroovyPackageDoc`
    Returns:
      array of exceptions found or empty array if none found

  - ### findClass

    public GroovyClassDoc findClass​(String arg0)
    Description copied from interface: `GroovyPackageDoc`
    Find a class or interface within this package.
    Specified by:
      `findClass` in interface `GroovyPackageDoc`
    Parameters:
      `arg0` - the name of the class to find
    Returns:
      ClassDoc of found class or interface, or null if not found

  - ### interfaces

    public GroovyClassDoc[] interfaces()
    Description copied from interface: `GroovyPackageDoc`
    Included interfaces in this package.
    Specified by:
      `interfaces` in interface `GroovyPackageDoc`
    Returns:
      array of interfaces found or empty array if none found

  - ### ordinaryClasses

    public GroovyClassDoc[] ordinaryClasses()
    Description copied from interface: `GroovyPackageDoc`
    Included ordinary classes in this package.
    Specified by:
      `ordinaryClasses` in interface `GroovyPackageDoc`
    Returns:
      array of ordinary classes (non-interface, non-enum, non-throwable classes) found or empty array if none found

  - ### description

    public String description()
    Description copied from interface: `GroovyPackageDoc`
    Description of the package.
    Specified by:
      `description` in interface `GroovyPackageDoc`
    Returns:
      the description

  - ### summary

    public String summary()
    Description copied from interface: `GroovyPackageDoc`
    The one-sentence summary for the package derived from the beginning of the description.
    Specified by:
      `summary` in interface `GroovyPackageDoc`
    Returns:
      the summary

  - ### getRelativeRootPath

    public String getRelativeRootPath()
    Specified by:
      `getRelativeRootPath` in interface `GroovyPackageDoc`